$(document).ready(function () {
    $("body").on('blur click keyup change', '.type', validation);

    function validation() {
        var type = $(".type").val();
        
        if (type == 'C') {
       $('.extra').hide();
    } else if (type != 'C'){
        $('.extra').show();
    }
}
});